OFFLOAD-BUILD(1)

NUME
offload-build - construiește un PKGBUILD pe un server de la distanță folosind makechrootpkg

SINOPSIS

offload-build [OPȚIUNI] — [OPȚIUNI_ARCHBUILD]

DESCRIERE

Construiește un PKGBUILD pe un server la distanță utilizând makechrootpkg. Necesită un utilizator de la distanță care poate rula archbuild într-o manieră non-interactivă, de exemplu, trebuie să fie capabil să crească permisiunile utilizând sudo fără parolă.

OPȚIUNI

-r, --repo <nume-depozit>
    Construiește pe baza unui anumit depozit. Valoarea implicită este extra, pentru a construi pachete folosind depozitele stabile prin extra-x86_64-build.

-a, --arch <arhitectura>
    Construiește pentru o anumită arhitectură. Valoarea implicită este x86_64, singura arhitectură acceptată oficial de Arch Linux.

-s, --server <nume-gazdă>
    Descarcă către un anumit server de compilare. Valoarea implicită este build.archlinux.org, care este utilizat ca parte a lanțului de instrumente de compilare pentru depozitele oficiale Arch Linux.

-h, --help
    Afișează mesajul de ajutor

TRANSMITEREA OPȚIUNILOR CĂTRE ARCHBUILD

Opțiunile după o delimitare — sunt transmise către archbuild de la distanță. archbuild, la rândul său, permite transmiterea de argumente către machechrootpkg, care la rândul său permite transmiterea de opțiuni către makepkg. Deoarece fiecare utilizează — pentru a delimita opțiunile care sunt transmise, asigurați-vă că le eludați corect:

    `offload-build offload-args -- archbuild-args -- makechrootpkg-args -- makepkg-args`

Exemplu: Pentru a utiliza o a doua instanță testing-x86_64-build cu un alt copydir:

    `offload-build -r testing -- -- -l <chroot_copy>`

PAGINA WEB PRINCIPALĂ

Vă rugăm să raportați erorile și solicitările de caracteristici în sistemul de urmărire a problemelor. Vă rugăm să faceți tot posibilul pentru a furniza un caz de testare reproductibil pentru erori.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.